FreeMat

- Main Page
- Related Pages

vtkGroupLeafVertices

Section: Visualization Toolkit Infovis Classes

# Usage

Use SetInputArrayToProcess(0, ...) to set the array to group on. Currently this array must be a vtkStringArray.

To create an instance of class vtkGroupLeafVertices, simply invoke its constructor as follows

      obj = vtkGroupLeafVertices

# Methods

The class vtkGroupLeafVertices has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGroupLeafVertices class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGroupLeafVertices = obj.NewInstance ()`
- `vtkGroupLeafVertices = obj.SafeDownCast (vtkObject o)`
- `obj.SetGroupDomain (string )` - The name of the domain that non-leaf vertices will be assigned to. If the input graph already contains vertices in this domain:
  - If the ids for this domain are numeric, starts assignment with max id
  - If the ids for this domain are strings, starts assignment with "group X" where "X" is the max id. Default is "group_vertex".
- `string = obj.GetGroupDomain ()` - The name of the domain that non-leaf vertices will be assigned to. If the input graph already contains vertices in this domain:
  - If the ids for this domain are numeric, starts assignment with max id
  - If the ids for this domain are strings, starts assignment with "group X" where "X" is the max id. Default is "group_vertex".